Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #565

fliewriter plugin causes lost of data
August 07, 2015 23:57 - tuxun tuxun

Status: Rejected Start date: August 07, 2015
Priority: Minor Due date:

Assignee: % Done: 0%

Category: plugins/filewriter Estimated time: 0.00 hour
Target version:

Affects version: 3.4.3

Description

Hi, |just noticed than the filewriter plugin doesn't check if the file exist before writing in it.
Consecutives records could causes lost of previously recorded data if the filename still is the same.

Anyway thanks for all!

History

#1 - August 08, 2015 01:04 - John Lindgren

Please update to the current version (3.6.2) and check whether the problem still exists. If so, then give exact steps to reproduce and also attach your
config file (found in ~/.config/audacious/config).

#2 - August 08, 2015 17:05 - tuxun tuxun

It works!
When | choose <<original file tag>> option as destination filename, it adds a number of version in the recorded filename.

But when | choose <<original file name>> (I'm recording radio stream), the filename start with ";" (";stream-1",";stream-2",";stream-3"... (so | wouldn't
delete them via command-line).

Nice job!

| used the WebUpd8 PPA to update from Mint, so thanks to him too ;)

#3 - August 08, 2015 19:34 - John Lindgren

- Status changed from New to Rejected
